ios – Cocoapods只依赖于调试/发布版本 - 代码日志

ios – Cocoapods只依赖于调试/发布版本

我正在使用Cocapod作为我的项目的内部库。

我想让一些pod只包含在release / debug builds中,如Testflight,Reveal / Sparkinspector。

有没有办法根据当前选择的构建配置(构建/发布)来定义podspec依赖关系?

随着最近的发布,它现在正式可用:http://blog.cocoapods.org/CocoaPods-0.34/

使用

pod 'Lookback', :configurations => ['Debug']
http://stackoverflow.com/questions/19610551/cocoapods-dependency-only-on-debug-release-build

本站文章除注明转载外,均为本站原创或编译
转载请明显位置注明出处:ios – Cocoapods只依赖于调试/发布版本